function dah(){Ffd.call(this)}
function W9g(a,b,d,e){lGd.call(this,a,b,d);this.a=e}
function tgh(a){var b;if(!a.k){b=new bah((A1i(Xde(a.a)),woj(Zde(a.a))));a.k=b}return a.k}
function sgh(a){var b;if(!a.j){b=new W9g(vFd(sce(a.a)),tgh(a),rgh(a),SLg(lde(a.a)));HFd((tce(a.a),b),EGd(tce(a.a)));a.j=b}return a.j}
function bah(){szf.call(this,W2b);this.a=new pAf(W2b,this);this.o="Provides translation services for physical sources, which can be integrated using a Teiid's VDB"}
w3c(4508,1011,Pyj,W9g);_.Ti=function(){};_.Yi=function(){this.A.Cr()};_.aj=function(){Yuf(this.a,this)};w3c(4511,2863,Szj,bah);_.Bh=function(){return kzf(this)};_.zr=function(){return this.a};_.Ar=function(){return H6j};_.Er=function(){var a;a=new H$f(this.n);r1d(a,aHj,m1d(jM(x2c,Ixj,263,[s1i(X0i(this.r,gBj),jM(W1c,Ixj,235,[])),s1i(X0i(this.r,bZj),jM(W1c,Ixj,235,[]))])));return a};_.Ir=function(){var a,b;b=new grg(5);s7c(b,new a3g,xIj);a=new dah;G7c(b,b.u.b,a,new Hfd(LZj));return b};w3c(4512,676,xyj,dah);_.qd=function(a){return a.jL()};w3c(4579,1,vzj);_.td=function(){dHd(this.b,sgh(this.a.a))};var M1b=bOd(4508),O1b=bOd(4511),N1b=bOd(4512);jAj(fp)(18);